@ECHO OFF

del /Q output
echo ************************************************
echo RUN THE DFDL SCHEMA USING VALID INPUT DATA
echo ************************************************

call echo.
call echo.

echo ************************************************
echo RUN WITH --validate on FLAG
echo ************************************************

call echo.
call echo parse--validate-on label-message-v2 input label-message.txt -with-good-label
call parse--validate-on label-message-v2 input label-message.txt -with-good-label

call echo.
call echo.

echo ************************************************
echo RUN WITH --validate off FLAG
echo ************************************************

call echo.
call echo parse--validate-off label-message-v2 input label-message.txt -with-good-label
call parse--validate-off label-message-v2 input label-message.txt -with-good-label

call echo.
call echo.

echo ************************************************
echo RUN WITH --validate limited FLAG
echo ************************************************

call echo.
call echo parse--validate-limited label-message-v2 input label-message.txt -with-good-label
call parse--validate-limited label-message-v2 input label-message.txt -with-good-label

call echo.
call echo.

echo ************************************************
echo RUN THE DFDL SCHEMA USING ERRONEOUS INPUT DATA
echo ************************************************

call echo.
call echo.

echo ************************************************
echo RUN WITH --validate on FLAG
echo ************************************************

call echo.
call echo parse--validate-on label-message-v2 input label-message-with-erroneous-label.txt -with-erroneous-label
call parse--validate-on label-message-v2 input label-message-with-erroneous-label.txt -with-erroneous-label

call echo.
call echo.

echo ************************************************
echo RUN WITH --validate off FLAG
echo ************************************************

call echo.
call echo parse--validate-off label-message-v2 input label-message-with-erroneous-label.txt -with-erroneous-label
call parse--validate-off label-message-v2 input label-message-with-erroneous-label.txt -with-erroneous-label

call echo.
call echo.

echo ************************************************
echo RUN WITH --validate limited FLAG
echo ************************************************

call echo.
call echo parse--validate-limited label-message-v2 input label-message-with-erroneous-label.txt -with-erroneous-label
call parse--validate-limited label-message-v2 input label-message-with-erroneous-label.txt -with-erroneous-label