@ECHO OFF

if '%1 == ' goto myhelp
if %1 == help goto myhelp

call ../../../bin/daffodil.bat --version
call ../../../bin/daffodil.bat parse -s %1.dfdl.xsd -r %2 -o output/%1%4.xml input/%3

goto eof

:myhelp
    echo.
    echo Usage: "parse <DFDL filename prefix> <root element> <input filename>" to invoke Daffodil
    echo.
    echo Run these:
    echo parse label-message-characterization-1 input label-message.txt -without-extra-colon
    echo parse label-message-characterization-2 input label-message.txt -without-extra-colon
    echo parse label-message-characterization-3 input label-message.txt -without-extra-colon
    
    echo parse label-message-characterization-1 input label-message-with-extra-colon.txt -with-extra-colon
    echo parse label-message-characterization-2 input label-message-with-extra-colon.txt -with-extra-colon
    echo parse label-message-characterization-3 input label-message-with-extra-colon.txt -with-extra-colon
    goto eof
    
:eof
